# KDE Store Submission Guide

## 📦 Package Ready for Upload
- **File**: `org.kde.plasma.icontasks.zoom-1.0.0.plasmoid`
- **Size**: ~64KB
- **Category**: Plasma Applets → Windows and Tasks

## 🚀 Submission Steps

### 1. Create KDE Store Account
- Go to [store.kde.org](https://store.kde.org/)
- Register with your email or login with existing KDE account
- Verify your email address

### 2. Upload Product
1. Click **"Upload Product"** in the top menu
2. Fill out the form:

### 📝 Product Information

**Title**: `Icon Task Manager with Zoom`

**Summary**: `Enhanced icon-only task manager with macOS dock-like zoom effects and custom launch animations`

**Description**:
```
An enhanced KDE Plasma widget based on the original org.kde.plasma.taskmanager, featuring:

🔍 macOS Dock-like Zoom Effects:
• Smooth zoom animations when hovering over task icons
• Configurable zoom intensity (10-100%)
• 9 anchor points (Center, Bottom, Top, Corners)
• 7 easing curves (Linear, OutQuad, OutCubic, OutQuart, OutBack, OutElastic, OutBounce)
• Ultra-responsive 4ms updates for rapid mouse movements

🎭 Custom Launch Animations:
• 7 animation types: Classic Busy Indicator, Pulsing Icon, Bouncing Icon, Rotating Icon, Scaling Icon, Fading Icon, Glow Effect
• Configurable duration (500-3000ms) and intensity (10-100%)
• Automatic zoom override during startup

🚀 Performance Enhancements:
• Optimized caching systems for expensive calculations
• Fixed binding loops and memory optimizations
• Zero performance impact when using default settings

Based on the original KDE Plasma Task Manager with full backward compatibility.
```

**Category**: `Plasma Applets → Windows and Tasks`

**License**: `GPL-2.0+`

**Tags**: `taskbar`, `dock`, `zoom`, `animation`, `macos`, `icons`, `plasma`, `taskmanager`

**Homepage**: `https://github.com/kde-plasma-taskmanager-zoom` (if you create one)

### 🖼️ Media Files (Optional but Recommended)
- **Screenshots**: Upload 2-3 screenshots showing the zoom effect
- **Preview Image**: Main screenshot for the store listing
- **Icon**: Use the default KDE task manager icon or create a custom one

### 📋 Technical Details
- **KDE Plasma Version**: 6.0+
- **Qt Version**: 6.0+
- **Dependencies**: Standard Plasma libraries (no additional deps)

### 🎯 Sample Screenshots to Create
1. **Zoom Effect**: Show the dock-like zoom in action
2. **Configuration Panel**: Show the settings interface
3. **Launch Animations**: Show different animation types

## ✅ Pre-Submission Checklist

- [ ] Package builds successfully
- [ ] Widget installs and works on clean Plasma installation
- [ ] All animations function properly
- [ ] Configuration UI works correctly
- [ ] No console errors in normal operation
- [ ] Metadata.json has correct information
- [ ] License is properly specified (GPL-2.0+)
- [ ] Screenshots showcase key features

## 🔄 After Submission

1. **Review Process**: KDE Store moderators will review your submission
2. **Approval Time**: Usually 1-7 days for new submissions
3. **Updates**: You can upload new versions using the same process
4. **Community**: Users can rate and comment on your widget

## 🆘 Troubleshooting

**If submission is rejected:**
- Check that metadata.json has valid format
- Ensure package installs without errors
- Verify all files are properly included
- Make sure description is clear and detailed

**Common issues:**
- Package too large (should be <1MB for simple widgets)
- Missing required metadata fields
- Invalid category selection
- Unclear description or title

## 📞 Support

- **KDE Store Help**: [KDE Store Documentation](https://store.kde.org/help)
- **KDE Community**: [KDE Forums](https://discuss.kde.org/)
- **Development**: [KDE Developer Resources](https://develop.kde.org/)

---

**Good luck with your submission!** 🚀

Once approved, your widget will be available to millions of KDE Plasma users worldwide. 